Package org.jboss.resteasy.plugins.providers.multipart

## Class AbstractMultipartRelatedWriter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter
  - - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartRelatedWriter

- Direct Known Subclasses:
    `MultipartRelatedWriter`, `XopWithMultipartRelatedWriter`

      public class AbstractMultipartRelatedWriter
      extends AbstractMultipartWriter

  Helper base class for multipart/related producing providers.
  Version:
    $Revision: 1 $
  Author:
    Attila Kiraly

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `COLON_SPACE_BYTES, DOUBLE_DASH_BYTES, LINE_SEPARATOR_BYTES, workers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMultipartRelatedWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CompletionStage<Void>` | `asyncWriteRelated​(MultipartRelatedOutput multipartRelatedOutput, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, AsyncOutputStream entityStream)` |
    `protected void` | `writeRelated​(MultipartRelatedOutput multipartRelatedOutput, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, OutputStream entityStream)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `asyncWrite, asyncWritePart, asyncWriteParts, write, writePart, writeParts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMultipartRelatedWriter

          public AbstractMultipartRelatedWriter()

  - ### Method Detail

    - #### writeRelated

          protected void writeRelated​(MultipartRelatedOutput multipartRelatedOutput,
                                      javax.ws.rs.core.MediaType mediaType,
                                      javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                                      OutputStream entityStream)
                               throws IOException,
                                      javax.ws.rs.WebApplicationException

      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`

    - #### asyncWriteRelated

          protected CompletionStage<Void> asyncWriteRelated​(MultipartRelatedOutput multipartRelatedOutput,
                                                            javax.ws.rs.core.MediaType mediaType,
                                                            javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                                                            AsyncOutputStream entityStream)